
Figure - Bug #118489
【IOVDEV-32133】【内部】【VC1】【0072】【台架】【EE环境】【副屏】游戏内打开小窗应用返回上一级
手势执退出游戏
2023-06-03 14:36 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-03

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 副屏：01.00.0100.C103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-01 16:15

【开机次数】：第232次

【前提条件】：

1.副屏上电

2.设置-游戏模式开关开启

3.游戏数量 > 1

【问题操作步骤】：

1.打开游戏

2.点开工具箱-打开任意小窗应用-右侧向左滑动返回上一级

【实际结果】：识别为游戏内返回上一级，确定即关闭游戏，小窗应用不受影响

【期望结果】：识别返回小窗应用上一级页面，游戏内不受影响

【备注】：返回上一级手势在游戏内不可被识别，打开小窗应用后手势操作应作用在小窗应用中

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/iwIMZw8%2B6y4%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/%2FojFuTMaQ2U%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/tb%2BarOlsVX4%3D

【影响版本】：副屏：01.00.0100.C103

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-03 14:37 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118489

#2 - 2023-06-05 10:16 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制
- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

Hi 凯峰

帮忙确认下，这个问题是不是正常的现象

主要是看下，返回手势作用的优先级

#3 - 2023-06-05 14:26 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

这是正常现象,返回手势响应的是当前resume的activity

在游戏界面触发手势时,窗口的焦点一般都是游戏界面上,所以也是游戏界面在返回

以原神界面打开音乐小窗为例子

//音乐小窗获取到窗口的焦点

06-06 13:56:10.167  1056  6185 I wm_set_resumed_activity: [0,com.android.music/.MusicBrowserActivity,minimalResumeActivityLocked]

//因为手指是在游戏界面滑动的,所以当我们滑动触发返回手势时,窗口的焦点会先移动到游戏界面上

06-06 13:57:20.269  1056  1179 I wm_set_resumed_activity: [0,com.miHoYo.Yuanshen/com.miHoYo.GetMobileInfo.MainActivity,positionChildAt]

06-06 13:57:20.270  1056  1179 I wm_set_resumed_activity: [0,com.miHoYo.Yuanshen/com.miHoYo.GetMobileInfo.MainActivity,setFocusedTask]

06-06 13:57:21.602  1056 11976 I sysui_multi_action: [757,803,799,key_back_press,802,1]

这个是原生的设计,修改起来风险很大,不建议修改

#4 - 2023-06-09 19:54 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

已同步

#5 - 2023-06-09 19:54 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#6 - 2023-06-09 19:55 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

6.1.16：15游戏内打开小窗应用执行返回上一级手势执行退出游戏.mp4 49.1 MB 2023-06-03 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000911_000232_0601162240.tar.gz8.87 MB 2023-06-03 CDTS_Test 吴诗雨
